# TileCoordinatesImageryProvider

#### new Cesium.TileCoordinatesImageryProvider(options)
engine/Source/Scene/TileCoordinatesImageryProvider.js 31

An `ImageryProvider` that draws a box around every rendered tile in the tiling scheme, and draws a label inside it indicating the X, Y, Level coordinates of the tile. This is mostly useful for debugging terrain and imagery rendering problems.

Name | Type | Description
--- | --- | ---
`options` | TileCoordinatesImageryProvider.ConstructorOptions | optional Object describing initialization options

### Members

#### readonly credit : Credit
engine/Source/Scene/TileCoordinatesImageryProvider.js 174

Gets the credit to display when this imagery provider is active. Typically this is used to credit the source of the imagery.

#### readonly errorEvent : Event
engine/Source/Scene/TileCoordinatesImageryProvider.js 161

Gets an event that is raised when the imagery provider encounters an asynchronous error. By subscribing to the event, you will be notified of the error and can potentially recover from it. Event listeners are passed an instance of `TileProviderError`.

#### readonly hasAlphaChannel : boolean
engine/Source/Scene/TileCoordinatesImageryProvider.js 190

Gets a value indicating whether or not the images provided by this imagery provider include an alpha channel. If this property is false, an alpha channel, if present, will be ignored. If this property is true, any images without an alpha channel will be treated as if their alpha is 1.0 everywhere. Setting this property to false reduces memory usage and texture upload time.

#### readonly maximumLevel : number|undefined
engine/Source/Scene/TileCoordinatesImageryProvider.js 97

Gets the maximum level-of-detail that can be requested.

#### readonly minimumLevel : number
engine/Source/Scene/TileCoordinatesImageryProvider.js 109

Gets the minimum level-of-detail that can be requested.

#### readonly proxy : Proxy
engine/Source/Scene/TileCoordinatesImageryProvider.js 61

Gets the proxy used by this provider.

#### readonly rectangle : Rectangle
engine/Source/Scene/TileCoordinatesImageryProvider.js 133

Gets the rectangle, in radians, of the imagery provided by this instance.

#### readonly tileDiscardPolicy : TileDiscardPolicy
engine/Source/Scene/TileCoordinatesImageryProvider.js 147

Gets the tile discard policy. If not undefined, the discard policy is responsible for filtering out "missing" tiles via its shouldDiscardImage function. If this function returns undefined, no tiles are filtered.

#### readonly tileHeight : number
engine/Source/Scene/TileCoordinatesImageryProvider.js 85

Gets the height of each tile, in pixels.

#### readonly tileWidth : number
engine/Source/Scene/TileCoordinatesImageryProvider.js 73

Gets the width of each tile, in pixels.

#### readonly tilingScheme : TilingScheme
engine/Source/Scene/TileCoordinatesImageryProvider.js 121

Gets the tiling scheme used by this provider.

### Methods

#### getTileCredits(x, y, level) → Array.<Credit>
engine/Source/Scene/TileCoordinatesImageryProvider.js 205

Gets the credits to be displayed when a given tile is displayed.

Name | Type | Description
--- | --- | ---
`x` | number | The tile X coordinate.
`y` | number | The tile Y coordinate.
`level` | number | The tile level;

##### Returns:

The credits to be displayed when the tile is displayed.

#### pickFeatures(x, y, level, longitude, latitude) → undefined
engine/Source/Scene/TileCoordinatesImageryProvider.js 260

Picking features is not currently supported by this imagery provider, so this function simply returns undefined.

Name | Type | Description
--- | --- | ---
`x` | number | The tile X coordinate.
`y` | number | The tile Y coordinate.
`level` | number | The tile level.
`longitude` | number | The longitude at which to pick features.
`latitude` | number | The latitude at which to pick features.

##### Returns:

Undefined since picking is not supported.

#### requestImage(x, y, level, request) → Promise.<HTMLCanvasElement>
engine/Source/Scene/TileCoordinatesImageryProvider.js 222

Requests the image for a given tile.

Name | Type | Description
--- | --- | ---
`x` | number | The tile X coordinate.
`y` | number | The tile Y coordinate.
`level` | number | The tile level.
`request` | Request | optional The request object. Intended for internal use only.

##### Returns:

The resolved image as a Canvas DOM object.

### Type Definitions

#### Cesium.TileCoordinatesImageryProvider.ConstructorOptions
engine/Source/Scene/TileCoordinatesImageryProvider.js 7

Initialization options for the TileCoordinatesImageryProvider constructor

##### Properties:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`tilingScheme` | TilingScheme | <optional> | new GeographicTilingScheme() | The tiling scheme for which to draw tiles.
`ellipsoid` | Ellipsoid | <optional> |  | The ellipsoid. If the tilingScheme is specified, this parameter is ignored and the tiling scheme's ellipsoid is used instead. If neither parameter is specified, the WGS84 ellipsoid is used.
`color` | Color | <optional> | Color.YELLOW | The color to draw the tile box and label.
`tileWidth` | number | <optional> | 256 | The width of the tile for level-of-detail selection purposes.
`tileHeight` | number | <optional> | 256 | The height of the tile for level-of-detail selection purposes.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.